package dev.fyloz.trial.colorrecipesexplorer.web;

public class WebsitePaths {
    // Autres
    public static final String INDEX = "index";
    public static final String SIMDUT_FILES = "simdut/{id}";
    public static final String PASSWORD_VALIDATION = "password/valid";
    public static final String RECIPE_XLS = "recipe/xls/{id}";
    public static final String ALL_RECIPES_XLS = "recipe/xls";
    public static final String ERROR = "error";
    public static final String CLOSE_TAB = "closeTab";
    public static final String UPDATES = "updates";
    public static final String UPDATES_GET = "updates/get";
    public static final String FONT_ARIAL_BOLD = "classpath:fonts/arialbd.ttf";

    // Images
    public static final String IMAGES_FILES = "images/{image}";
    public static final String ADD_IMAGE = "images/add";
    public static final String ADD_IMAGE_SPECIFIC = "images/add/{id}";
    public static final String DELETE_IMAGE = "images/delete/{image}";

    // Touch up kits
    public static final String TOUCHUP = "touchup";
    public static final String TOUCHUP_PDF = "touchup/pdf";
    public static final String TOUCHUP_PTOUCH = "touchup/ptouch";
    public static final String TOUCHUP_PTOUCH_PAGE = "touchupPtouch";

    // Inventaire
    public static final String INVENTORY = "inventory";
    public static final String USE_INVENTORY = "inventory/use";

    // Recettes
    public static final String EXPLORER_RECIPE = "recipe/explore";
    public static final String EXPLORER_RECIPE_SPECIFIC = "recipe/explore/{id}";
    public static final String CREATOR_RECIPE = "recipe/creator";
    public static final String EDITOR_RECIPE = "recipe/editor";
    public static final String EDITOR_RECIPE_SPECIFIC = "recipe/editor/{id}";
    public static final String EDITOR_RECIPE_EDITOR = "recipe/edit";
    public static final String REMOVER_RECIPE = "recipe/remover";
    public static final String REMOVER_RECIPE_SPECIFIC = "recipe/remover/{id}";

    // Compagnies
    public static final String CREATOR_COMPANY = "company/creator";
    public static final String REMOVER_COMPANY = "company/remover";
    public static final String REMOVER_COMPANY_SPECIFIC = "company/remover/{id}";

    // Matériaux
    public static final String CREATOR_MATERIAL = "material/creator";
    public static final String EDIT_MATERIAL_SIMDUT = "material/simdut";
    public static final String EDIT_MATERIAL_SIMDUT_SPECIFIC = "material/simdut/{id}";
    public static final String REMOVER_MATERIAL = "material/remover";
    public static final String REMOVER_MATERIAL_SPECIFIC = "material/remover/{id}";
    public static final String EDITOR_MATERIAL = "material/editor";
    public static final String EDITOR_MATERIAL_SPECIFIC = "material/editor/{id}";
    public static final String EDITOR_MATERIAL_EDITOR = "material/edit";

    // Types de matériaux
    public static final String CREATOR_MATERIAL_TYPE = "materialType/creator";
    public static final String REMOVER_MATERIAL_TYPE = "materialType/remover";
    public static final String REMOVER_MATERIAL_TYPE_SPECIFIC = "materialType/remover/{id}";
    public static final String EDITOR_MATERIAL_TYPE = "materialType/editor";
    public static final String EDITOR_MATERIAL_TYPE_SPECIFIC = "materialType/editor/{id}";
    public static final String EDITOR_MATERIAL_TYPE_EDITOR = "materialType/edit";

    // Mélanges
    public static final String CREATOR_MIX = "mix/creator";
    public static final String CREATOR_MIX_SPECIFIC = "mix/creator/{id}";
    public static final String EDITOR_MIX = "mix/editor";
    public static final String EDITOR_MIX_SPECIFIC = "mix/editor/{id}";
    public static final String REMOVER_MIX_SPECIFIC = "mix/remover/{id}";
    public static final String MATERIAL_SELECTOR_MIX = "mix/selector/{recipeId}/{mixId}";
    public static final String MATERIAL_SELECTOR_FRAGMENT = "mix/selector.html :: materialSelector";
}
